RMNodeAttribute (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.nodelabels, class: RMNodeAttribute

Package org.apache.hadoop.yarn.nodelabels

# Class RMNodeAttribute

java.lang.Object
org.apache.hadoop.yarn.nodelabels.AbstractLabel
org.apache.hadoop.yarn.nodelabels.RMNodeAttribute

public class RMNodeAttribute extends AbstractLabel
Reference of NodeAttribute in RM.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RMNodeAttribute(String labelName, org.apache.hadoop.yarn.api.records.Resource res, int activeNMs, org.apache.hadoop.yarn.api.records.NodeAttribute attribute)`
  `RMNodeAttribute(org.apache.hadoop.yarn.api.records.NodeAttribute attribute)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNode(String node, AttributeValue attributeValue)`
  `boolean`
  `equals(Object obj)`
  `Map<String,AttributeValue>`
  `getAssociatedNodeIds()`
  `org.apache.hadoop.yarn.api.records.NodeAttribute`
  `getAttribute()`
  `org.apache.hadoop.yarn.api.records.NodeAttributeType`
  `getAttributeType()`
  `int`
  `hashCode()`
  `void`
  `removeNode(String node)`
  `void`
  `setAttribute(org.apache.hadoop.yarn.api.records.NodeAttribute attribute)`

  ### Methods inherited from class org.apache.hadoop.yarn.nodelabels.AbstractLabel

  `addNode, getLabelName, getNumActiveNMs, getResource, removeNode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RMNodeAttribute

    public RMNodeAttribute(org.apache.hadoop.yarn.api.records.NodeAttribute attribute)

  - ### RMNodeAttribute

    public RMNodeAttribute(String labelName, org.apache.hadoop.yarn.api.records.Resource res, int activeNMs, org.apache.hadoop.yarn.api.records.NodeAttribute attribute)

- ## Method Details

  - ### getAttribute

    public org.apache.hadoop.yarn.api.records.NodeAttribute getAttribute()

  - ### setAttribute

    public void setAttribute(org.apache.hadoop.yarn.api.records.NodeAttribute attribute)

  - ### getAttributeType

    public org.apache.hadoop.yarn.api.records.NodeAttributeType getAttributeType()

  - ### addNode

    public void addNode(String node, AttributeValue attributeValue)

  - ### removeNode

    public void removeNode(String node)

  - ### getAssociatedNodeIds

    public Map<String,AttributeValue> getAssociatedNodeIds()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`